Subject: Re: bug#36447: 27.0.50; New "Unknown keyword" errors

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Jul 2019 00:18:02 +0200

Pip Cet <[email-masked]> writes:

> Are you on master?

Yup.

> Also also, can you please stash copies of the emacs binaries and
> emacs.pdmp that fail to work? I did something very silly and overwrote
> my compiler with a very slightly different version (after carefully
> backing up /usr/local/bin/gcc, too. Too bad that's just the driver
> program), and now can no longer reproduce the issue easily.

OK; will do the next time it happens (but it's gone again now after yet
another "make bootstrap")...

> Is there anything I can do to help get this bug fixed on master? Thanks!

The change is just the following?

+  /* These structures may have been purecopied and shared
+     (bug#36447).  */
+  h->next = Fcopy_sequence (h->next);
+  h->index = Fcopy_sequence (h->index);
+  h->hash = Fcopy_sequence (h->hash);

I know nothing about this, but did anybody want to fix this in a
different way, or did the discussion just peter our?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no